Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.explorer
Class ExplorerActionPast

    java.lang.Object
      javax.swing.undo.AbstractUndoableEdit
          madkit.explorer.ExplorerAbstactActions
              madkit.explorer.ExplorerAdapterActions
                  madkit.explorer.ExplorerActionPast

All Implemented Interfaces:
  java.awt.datatransfer.Transferable, java.io.Serializable, javax.swing.undo.UndoableEdit

    public class ExplorerActionPast

extends ExplorerAdapterActions

Author:
  B_ROUIFED To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.undo.AbstractUndoableEdit
`RedoName, UndoName`

Constructor Summary
`ExplorerActionPast()`
`ExplorerActionPast(ExplorerGUI _adaptee, java.lang.String _source)`

Method Summary
`void` | `exec()`
`void` | `past()`

Methods inherited from class madkit.explorer.ExplorerAdapterActions
`getTransferData, getTransferDataFlavors, isDataFlavorSupported, redo, undo, updateButtons`

Methods inherited from class javax.swing.undo.AbstractUndoableEdit
`addEdit, canRedo, canUndo, die, getPresentationName, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExplorerActionPast

    public ExplorerActionPast()

### ExplorerActionPast

    public ExplorerActionPast(ExplorerGUI _adaptee,
                              java.lang.String _source)

Parameters:
  `adaptee` -

Method Detail

### exec

    public void exec()

### past

    public void past()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.